#
# spec file for package iftop
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           iftop
Summary:        Real-Time Interface Bandwidth Usage
Version:        0.17
Release:        137.138.1
License:        GPLv2+
Group:          Productivity/Networking/Diagnostic
Url:            http://www.ex-parrot.com/~pdw/iftop/
BuildRequires:  libpcap-devel ncurses-devel
Source0:        %name-%version.tar.bz2
Patch0:         %name-manpage.patch
Patch1:         %name-bar-bytes.patch
Patch2:         %name-bar-display.patch
Patch3:         %name-%version-ncursesw.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
iftop does for network usage what top(1) does for CPU usage. It listens
to network traffic on a named interface and displays a table of current
bandwidth usage by pairs of hosts. It is handy for explaining why the
network links slow.



Authors:
--------
    Paul Warren <pdw@ex-parrot.com>
    Chris Lightfoot <chris@ex-parrot.com>

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%configure
make %{?jobs:-j%jobs}

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING TODO INSTALL
%attr(755,root,root) %{_sbindir}/iftop
%{_mandir}/man8/*

%changelog
* Mon Sep 26 2011 lrupp@suse.de
- added iftop-0.17-ncursesw.patch top fix bnc #718922 -
  (iftop uses vt100 line-drawing in UTF-8 mode)
* Sun Nov 29 2009 lrupp@suse.de
- added iftop-bar-bytes.patch and iftop-bar-display.patch from
  Debian
- enhanced the iftop-manpage.patch
- small specfile cleanup
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Thu Jul 26 2007 prusnak@suse.cz
- changed libpcap to libpcap-devel in BuildRequires
* Thu Mar 29 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Mon Jul 10 2006 mskibbe@suse.de
- update to version 0.17 which
  o Added support for ppp interfaces
  o Fixed segfault bug in config file handling
  o Fixes to man page
  o Fix for hash table memory handling bug
  o Added 802.1q VLAN support
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 12 2005 hvogel@suse.de
- Add -fno-strict-aliasing
* Wed Mar  9 2005 hvogel@suse.de
- add '-m' parameter to manpage
* Mon Mar  1 2004 hvogel@suse.de
- update to version 0.16 which includes all fixes from mmj
* Wed Feb  4 2004 mmj@suse.de
- Fix dereferencing of type-punned pointers
* Thu Jan 29 2004 hvogel@suse.de
- mark man pages as documentation
* Mon Jan 26 2004 hvogel@suse.de
- do not use %%configure macro
- use CFLAGS
* Wed Jan 21 2004 mmj@suse.de
- Fix compound statement to work with new gcc-3.4
* Tue Jan 20 2004 hvogel@suse.de
- first build and release. Version 0.15
